import chemics as cm

formula = input("Chemical Formula e.g CH4 = ")
press = float(input("Process pressure kPaA = "))
temp = float(input("Process temperature degC = "))

mw = cm.mw(formula)    # molecular weight of N2 gas [g/mol]
p = press*1000      # pressure [Pa]
tk = temp+273.15        # temperature of gas [K]

rhog = cm.rhog(mw, p, tk)   # density of nitrogen gas [kg/m^3]

print(f'Density of {formula} gas = {rhog:.4f} kg/m^3')

results = cm.mu_gas(formula, tk, full=True)
#print('\n', results)
print(f'Viscosity of {formula} gas = {results[0]:.4f} µP')
